Bug 1277911 - report .xml.gz can't be generated properly [NEEDINFO]
report .xml.gz can't be generated properly
Status: NEW
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 05:30 EST by zhouweigang09
Modified: 2015-11-16 13:20 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rlandry: needinfo? (abehl)


Attachments (Terms of Use)
the ceritifcation logs (874.97 KB, application/x-gzip)
2015-11-04 05:30 EST, zhouweigang09
no flags Details

  None (edit)
Description zhouweigang09 2015-11-04 05:30:54 EST
Created attachment 1089553 [details]
the ceritifcation logs

Description of problem:
Fail to produce openstack certification logs normally. 
When I finish running Openstack certification, I can see the size of openstack-log.tar in var/log/rhcert/runs/1/openstack/openstack_verify is about 158MB. However the log file size of rhcert-results-control-20151104085130.xml.gz in /var/www/rhcert/store/results/openstack-1224019 is only 0.87MB. 

The log file 'RedHatCertDaemon.log' in path /var/log/rhcert shows that all the test finished without any tests failed.

I cannot submit the certification logs in the WEB UI, because it show error:
"Error: could not submit certification results
Error: The results' format is not a valid one. Please make sure the uploaded result file is a gizpped xml. (2203)"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run Openstack certification for blockstorage
2. after the test show passed, I submit the certification logs.
3. The web UI show errors: "Error: could not submit certification results
Error: The results' format is not a valid one. Please make sure the uploaded result file is a gizpped xml. (2203)"

Actual results:

submit certification result logs failed with error: "Error: could not submit certification results
Error: The results' format is not a valid one. Please make sure the uploaded result file is a gizpped xml. (2203)"

Expected results:

Submit certification result logs successfully. 

Additional info:
Comment 1 Rohan Kanade 2015-11-12 05:02:45 EST
This seems like an issue because of the max attachment limit flag of redhat-certification and not due to the openstack test suite.

@Greg, can you please look at this issue.
Comment 4 Rohan Kanade 2015-11-12 08:12:49 EST
Hi,

On your System under test, Please change the default maximum attachment size set in /etc/rhcert.xml from 128M to 256M and re-run the "openstack_verify" test from the redhat-certification webUI. 

This will enable you to submit results directly from the webui once the tests have completed.

Let me know if you need more help on this.
Comment 6 zhouweigang09 2015-11-12 20:35:30 EST
(In reply to Rohan Kanade from comment #4)
> Hi,
> 
> On your System under test, Please change the default maximum attachment size
> set in /etc/rhcert.xml from 128M to 256M and re-run the "openstack_verify"
> test from the redhat-certification webUI. 
> 
> This will enable you to submit results directly from the webui once the
> tests have completed.
> 
> Let me know if you need more help on this.

Hi Rohan,

Thank you so much. 
It make sense. I will run it later to verify.

Note You need to log in before you can comment on or make changes to this bug.